Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6013 - X locks up machine at random.
Summary: X locks up machine at random.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: alpha
OS: Linux
high
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-17 02:11 UTC by phiber
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 17:20:39 UTC


Attachments (Terms of Use)

Description phiber 1999-10-17 02:11:58 UTC
I have a PC164 with an S3 Virge PCI card.  I'm running
RedHat 6.0 with the latest kernel (2.2.5-22), and XFree86
updates from the redhat updates directory.  I'm using the
SVGA server, and seemingly at random the whole machine locks
up.  Solid.  Sometimes after only a few minutes of being in
X.  No matter what window manager I'm using or what is being
run.  It's been happening sometimes after a few minutes,
sometimes a half hour to an hour.  But it's usually after a
few minutes.  Why is X freezing the whole machine?  I mean
it becomes unreachable over the net.  Totally dead.  I have
to hit reset to reboot.  HELP!!!


------- Additional Comments From   11/08/99 22:40 -------
I have the same problem on an Intel PII box... I reload the system and
it is fine for a few weeks, then suddenly the system starts to lock
up. usually within 5 minutes of starting.

Comment 1 RaStuS 1999-12-29 07:22:59 UTC
I'm in the same boat, I lose all control of kbrd and mouse and have to switch
off and reboot.  I have a K6/2-300, Diamond ViperV330, 96Mb, Logitech Mouseman+
ps/2, MS (yuk) Natural Keyboard.

Mine will run fine for weeks on end, then will have a bout of locking up
unexpectedly, It sometimes even boots in a frozen state. I've tried GDM and KDM
and booting to the command line and gui login screens, using both
Gnome/Enlightenment and KDE, regardless of what combination I use the prob still
persists.

There is nothing in any of the log files (var/log/messages/*) that record the
error, and no core is dumped, that I can find.

Comment 2 Preston Brown 2000-01-14 17:20:59 UTC
these are all symptoms of kernel bugs interacting with your hardware, folks, not
X.  Without more information, we won't be able to see what's going on, either.
We need oops reports, etc.  If you aren't getting anything in /var/log/messages,
you'll need to hook up a serial console to capture a trace.  Not trivial, I
know.  My next best suggestion is to wait for the next release, as the kernel
has many small fixes.


Note You need to log in before you can comment on or make changes to this bug.